Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Interface WebSocketGenerator

All Known Implementing Classes:
  WebSocketGeneratorD00, WebSocketGeneratorD01

    public interface WebSocketGenerator

WebSocketGenerator.

Method Summary
`void` | `addFragment(boolean more, byte opcode, byte[] content, int offset, int length, int maxIdleTime)`
`void` | `addFrame(byte opcode, byte[] content, int offset, int length, int maxIdleTime)`
`void` | `addFrame(byte opcode, java.lang.String content, int maxIdleTime)`
`int` | `flush()`
`int` | `flush(int maxIdleTime)`
`boolean` | `isBufferEmpty()`

Method Detail

### flush

    int flush()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### isBufferEmpty

    boolean isBufferEmpty()

### addFrame

    void addFrame(byte opcode,
                  java.lang.String content,
                  int maxIdleTime)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFrame

    void addFrame(byte opcode,
                  byte[] content,
                  int offset,
                  int length,
                  int maxIdleTime)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFragment

    void addFragment(boolean more,
                     byte opcode,
                     byte[] content,
                     int offset,
                     int length,
                     int maxIdleTime)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    int flush(int maxIdleTime)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.